Net::DNS::Mailbox(3)

NAME
Net::DNS::Mailbox - DNS mailbox representation

SYNOPSIS
    use Net::DNS::Mailbox;

    $mailbox = new Net::DNS::Mailbox('user@example.com');
    $address = $mailbox->address;

DESCRIPTION
The Net::DNS::Mailbox module implements a subclass of DNS domain name objects representing the DNS coded form of RFC822 mailbox address.

METHODS

  new
    $mailbox = new Net::DNS::Mailbox('John.Doe@example.com');
    $mailbox = new Net::DNS::Mailbox('John Doe <j.doe@example.com>');

Creates a mailbox object which represents the DNS domain encoded form of the mail address specified by the character string argument.

The argument string consists of printable characters from the 7-bit ASCII repertoire.

  address
    $address = $mailbox->address;

Returns a character string containing the RFC822 mailbox address corresponding to the encoded domain name representation described in RFC1035 section 8.

DOMAIN NAME COMPRESSION AND CANONICALISATION
The Net::DNS::Mailbox1035 and Net::DNS::Mailbox2535 subclass packages implement RFC1035 domain name compression and RFC2535 canonicalisation.

COPYRIGHT
Copyright (c)2009,2012 Dick Franks.

All rights reserved.

This program is free software; you may redistribute it and/or modify it under the same terms as Perl itself.

SEE ALSO
perl, Net::DNS, Net::DNS::DomainName, RFC822, RFC1035, RFC5322